
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发UI基础—手写控件，frame，center和bounds属性 / iVAN</title>

    <meta name="description" content="iOS开发UI基础—手写控件，frame，center和bounds属性 一.手写控件 1.手写控件的步骤 (1)使用相应的控件类创建控件对象 (2)设置该控件的各种属性 (3)添加控件到视图中 (4)如果是button等控件,还需考虑控件的单击事件等 (5)注意:View Contollor和view的关系 2.注意点 在OC开发中,Storyboard中的所有操作都可以通过代码实现,程序员一定要熟练掌握代码布局界面的能力! 设置控件监听方法的示例代码如下: [btn addTarget:self action:@selector(click:) forContro">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发UI基础—手写控件，frame，center和bounds属性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、手写控件</strong></p>
<p>1.手写控件的步骤</p>
<p>（1）使用相应的控件类创建控件对象</p>
<p>（2）设置该控件的各种属性</p>
<p>（3）添加控件到视图中</p>
<p>（4）如果是button等控件，还需考虑控件的单击事件等</p>
<p>（5）注意：View Contollor和view的关系</p>
<p>2.注意点</p>
<p>在OC开发中，Storyboard中的所有操作都可以通过代码实现，程序员一定要熟练掌握代码布局界面的能力！</p>
<p>设置控件监听方法的示例代码如下：</p>
<p>[btn addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];</p>
<p>提示：</p>
<p>1&gt; addTarget方法定义在UIControl类中，这意味着可以给所有继承自UIControl类的对象添加监听方法</p>
<p>2&gt; 监听方法的第一个参数就是对象本身</p>
<p>3&gt; 监听方法的第二个参数是监听控件的事件</p>
<p>3.代码示例</p>
<pre><code>//1.使用类创建一个按钮对象
 // UIButton *headbtn=[[UIButton alloc] initWithFrame:CGRectMake(100 ,100, 100, 100)];
 //设置按钮对象为自定义型
 UIButton *headbtn=[UIButton buttonWithType:UIButtonTypeCustom];

 //2.设置对象的各项属性
 //(1)位置等通用属性设置
 headbtn.frame=CGRectMake(100, 100, 100, 100);

 //(2)设置普通状态下按钮的属性
 [headbtn setBackgroundImage:[UIImage imageNamed:@"i"] forState:UIControlStateNormal];
 [headbtn setTitle:@"点我！" forState:UIControlStateNormal];
 [headbtn setTitleColor:[UIColor redColor] forState:UIControlStateNormal];

 //(3)设置高亮状态下按钮的属性
 [headbtn setBackgroundImage:[UIImage imageNamed:@"a"] forState:UIControlStateHighlighted];
 [headbtn setTitle:@"还行吧~" forState:UIControlStateHighlighted];
 [headbtn setTitleColor:[UIColor blueColor] forState:UIControlStateHighlighted];

 //3.把对象添加到视图中展现出来
 [self.view addSubview:headbtn];
 //注意点！
 self.headImageView=headbtn;</code></pre>
<p><strong>二、<strong>frame，center和bounds属性</strong></strong></p>
<p>1.frame、center和bounds属性</p>
<p>frame:控制位置和大小</p>
<p>center:控制位置（中心点）</p>
<p>bounds：控制大小（以自己的左上角为原点）</p>
<p>2.注意点</p>
<p>（1）通过以下属性可以修改控件的位置</p>
<p>frame.origin</p>
<p>center</p>
<p>（2）通过以下属性可以修改控件的尺寸</p>
<p>frame.size</p>
<p>bounds.size</p>
<p>3.代码示例</p>
<p>一个控制图片上下左右平移，缩放的程序（frame、center和bounds属性）</p>
<pre><code>//
// YYViewController.m
// 01-练习使用按钮的frame和center属性
//
// Created by apple on 14-5-21.
// Copyright (c) 2014年 itcase. All rights reserved.
//

#import "YYViewController.h"

//私有扩展
@interface YYViewController ()

@property(nonatomic,weak)IBOutlet UIButton *headImageView;
@end

@implementation YYViewController

//枚举类型，从1开始
typedef enum
{
 ktopbtntag=1,
 kdownbtntag,
 krightbtntag,
 kleftbtntag
}btntag;

//viewDidLoad是视图加载完成后调用的方法，通常在此方法中执行视图控制器的初始化工作
- (void)viewDidLoad
{

 //在viewDidLoad方法中，不要忘记调用父类的方法实现
 [super viewDidLoad];

 //手写控件代码
 //一、写一个按钮控件，上面有一张图片

 //1.使用类创建一个按钮对象
 // UIButton *headbtn=[[UIButton alloc] initWithFrame:CGRectMake(100 ,100, 100, 100)];
 //设置按钮对象为自定义型
 UIButton *headbtn=[UIButton buttonWithType:UIButtonTypeCustom];

 //2.设置对象的各项属性
 //(1)位置等通用属性设置
 headbtn.frame=CGRectMake(100, 100, 100, 100);

 //(2)设置普通状态下按钮的属性
 [headbtn setBackgroundImage:[UIImage imageNamed:@"i"] forState:UIControlStateNormal];
 [headbtn setTitle:@"点我！" forState:UIControlStateNormal];
 [headbtn setTitleColor:[UIColor redColor] forState:UIControlStateNormal];

 //(3)设置高亮状态下按钮的属性
 [headbtn setBackgroundImage:[UIImage imageNamed:@"a"] forState:UIControlStateHighlighted];
 [headbtn setTitle:@"还行吧~" forState:UIControlStateHighlighted];
 [headbtn setTitleColor:[UIColor blueColor] forState:UIControlStateHighlighted];

 //3.把对象添加到视图中展现出来
 [self.view addSubview:headbtn];
 //注意点！
 self.headImageView=headbtn;

 //二、写四个控制图片左右上下移动方向的按钮控件

 /**================向上的按钮=====================*/
 //1.创建按钮对象
 UIButton *topbtn=[UIButton buttonWithType:UIButtonTypeCustom];

 //2.设置对象的属性
 topbtn.frame=CGRectMake(100, 250, 40, 40);
 [topbtn setBackgroundImage:[UIImage imageNamed:@"top_normal"] forState:UIControlStateNormal];
 [topbtn setBackgroundImage:[UIImage imageNamed:@"top_highlighted"] forState:UIControlStateHighlighted];
 [topbtn setTag:1];
 //3.把控件添加到视图中
 [self.view addSubview:topbtn];

 //4.按钮的单击控制事件
 [topbtn addTarget:self action:@selector(Click:) forControlEvents:UIControlEventTouchUpInside];

 /**================向下的按钮=====================*/
 //1.创建按钮对象
 UIButton *downbtn=[UIButton buttonWithType:UIButtonTypeCustom];
 //2.设置对象的属性
 downbtn.frame=CGRectMake(100, 350, 40, 40);
 [downbtn setBackgroundImage:[UIImage imageNamed:@"bottom_normal"] forState:UIControlStateNormal];
 [downbtn setBackgroundImage:[UIImage imageNamed:@"bottom_highlighted"] forState:UIControlStateHighlighted];
 [downbtn setTag:2];
 //3.把控件添加到视图中
 [self.view addSubview:downbtn];

 //4.按钮的单击控制事件
 [downbtn addTarget:self action:@selector(Click:) forControlEvents:UIControlEventTouchUpInside];

 /**================向左的按钮=====================*/
 //1.创建按钮对象
 UIButton *leftbtn=[UIButton buttonWithType:UIButtonTypeCustom];
 //2.设置对象的属性
 leftbtn.frame=CGRectMake(50, 300, 40, 40);
 [leftbtn setBackgroundImage:[UIImage imageNamed:@"left_normal"] forState:UIControlStateNormal];
 [leftbtn setBackgroundImage:[UIImage imageNamed:@"left_highlighted"] forState:UIControlStateHighlighted];
 [leftbtn setTag:4];
 //3.把控件添加到视图中
 [self.view addSubview:leftbtn];

 //4.按钮的单击控制事件
 [leftbtn addTarget:self action:@selector(Click:) forControlEvents:UIControlEventTouchUpInside];

 /**================向右的按钮=====================*/
 //1.创建按钮对象
 UIButton *rightbtn=[UIButton buttonWithType:UIButtonTypeCustom];
 //2.设置对象的属性
 rightbtn.frame=CGRectMake(150, 300, 40, 40);
 [rightbtn setBackgroundImage:[UIImage imageNamed:@"right_normal"] forState:UIControlStateNormal];
 [rightbtn setBackgroundImage:[UIImage imageNamed:@"right_highlighted"] forState:UIControlStateHighlighted];
 [rightbtn setTag:3];
 //3.把控件添加到视图中
 [self.view addSubview:rightbtn];

 //4.按钮的单击控制事件
 [rightbtn addTarget:self action:@selector(Click:) forControlEvents:UIControlEventTouchUpInside];

 //三、写两个缩放按钮
 /**================放大的按钮=====================*/
 //1.创建对象
 UIButton *plusbtn=[UIButton buttonWithType:UIButtonTypeCustom];
 //2.设置属性
 plusbtn.frame=CGRectMake(75, 400, 40, 40);
 [plusbtn setBackgroundImage:[UIImage imageNamed:@"plus_normal"] forState:UIControlStateNormal];
 [plusbtn setBackgroundImage:[UIImage imageNamed:@"plus_highlighted"] forState:UIControlStateHighlighted];
 [plusbtn setTag:1];
 //3.添加到视图
 [self.view addSubview:plusbtn];
 //4.单击事件
 [plusbtn addTarget:self action:@selector(Zoom:) forControlEvents:UIControlEventTouchUpInside];

 /**================缩小的按钮=====================*/
 UIButton *minusbtn=[UIButton buttonWithType:UIButtonTypeCustom];
 minusbtn.frame=CGRectMake(125, 400, 40, 40);
 [minusbtn setBackgroundImage:[UIImage imageNamed:@"minus_normal"] forState:UIControlStateNormal];
 [minusbtn setBackgroundImage:[UIImage imageNamed:@"minus_highlighted"] forState:UIControlStateHighlighted];
 [minusbtn setTag:0];
 [self.view addSubview:minusbtn];
 [minusbtn addTarget:self action:@selector(Zoom:) forControlEvents:UIControlEventTouchUpInside];
}

//控制方向的多个按钮调用同一个方法
-(void)Click:(UIButton *)button
{

 //练习使用frame属性
 //CGRect frame=self.headImageView.frame;

 /**注意，这里如果控制位置的两个属性frame和center同时使用的话，会出现很好玩的效果，注意分析*/
 //练习使用center属性
 CGPoint center=self.headImageView.center;
 switch (button.tag) {
 case ktopbtntag:
 center.y-=30;
 break;
 case kdownbtntag:
 center.y+=30;
 break;
 case kleftbtntag:
 //发现一个bug,之前的问题是因为少写了break,造成了它们的顺序执行，sorry
 //center.x=center.x-30;
 center.x-=50;
 break;
 case krightbtntag:
 center.x+=50;
 break;
 }

 // self.headImageView.frame=frame;

 //首尾式设置动画效果
 [UIView beginAnimations:nil context:nil];
 self.headImageView.center=center;
 //设置时间
 [UIView setAnimationDuration:2.0];
 [UIView commitAnimations];
 NSLog(@"移动!");

}
-(void)Zoom:(UIButton *)btn
{
 //使用frame，以自己的左上角（自己的原点）为原点
// CGRect frame=self.headImageView.frame;
// if (btn.tag) {
// frame.size.height+=30;
// frame.size.width+=30;
// }
// else
// {
// frame.size.width-=50;
// frame.size.height-=50;
// }
// self.headImageView.frame=frame;

 //使用bounds，以中心点位原点进行缩放
 CGRect bounds = self.headImageView.bounds;
 if (btn.tag) {
 bounds.size.height+=30;
 bounds.size.width+=30;
 }
 else
 {
 bounds.size.height-=50;
 bounds.size.width-=50;
 }

 //设置首尾动画
 [UIView beginAnimations:nil context:nil];
 self.headImageView.bounds=bounds;
 [UIView setAnimationDuration:2.0];
 [UIView commitAnimations];
}
@end</code></pre>
<p>实现效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ1MDEzNi8yMDE0MDUvMjExOTUyMTcxODQ1NjY1LnBuZw==.jpg"><br />三、简单的动画效果</p>
<p>简单介绍首尾式动画效果</p>
<p>（1）开始动画</p>
<p>（2）设置动画相关的时间等</p>
<p>（3）参与动画的行动</p>
<p>（4）提交动画</p>
<p>注：实现代码参考上面的代码</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:33:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios%e5%bc%80%e5%8f%91/" title="ios开发">ios开发</a>, <a href="https://www.iamivan.net/tag/ui%e5%9f%ba%e7%a1%80/" title="UI基础">UI基础</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发UI基础—手写控件，frame，center和bounds属性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmAXDp.html" rel="bookmark">iOS开发中一些手写控件及其相关属性的使用&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				手写控件,frame,center和bounds属性 一.手写控件 1.手写控件的步骤 (1)使用相应的控件类创建控件对象 (2)设置该控件的各种属性 (3)添加控件到视图中 (4)如果是button等控件,还需考虑控件的单击事件等 (5)注意:View Contollor和view的关系 2.注意点 在OC开发中,Storyboard中的所有操作都可以通过代码实现,程序员一定要熟练掌握代码布局界面的能力! 设置控件监听方法的示例代码如下: 复制代码 代码如下: [btn addTarget:s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGJalb.html" rel="bookmark">iOS开发UI篇&mdash;实现UItableview控件数据刷新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.项目文件结构和plist文件 二.实现效果 1.说明:这是一个英雄展示界面,点击选中行,可以修改改行英雄的名称(完成数据刷新的操作). 运行界面: 点击选中行: 修改数据后自动刷新: 三.代码示例 数据模型部分: YYheros.h文件 1 // 2 // YYheros.h 3 // 10-英雄展示(数据刷新) 4 // 5 // Created by apple on 14-5-29. 6 // Copyright (c) 2014年 itcase. All rights reserve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE61lAM.html" rel="bookmark">iOS开发UI篇&mdash;transframe属性（形变）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. transform属性 在OC中,通过transform属性可以修改对象的平移.缩放比例和旋转角度 常用的创建transform结构体方法分两大类 (1) 创建&quot;基于控件初始位置&quot;的形变 CGAffineTransformMakeTranslation(平移) CGAffineTransformMakeScale(缩放) CGAffineTransformMakeRotation(旋转) (2) 创建&quot;基于transform参数&quot;的形变 CGAffineTra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJD7vp.html" rel="bookmark">iOS开发UI篇&mdash;popoverController使用注意</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS开发UI篇-popoverController使用注意 iOS开发UI篇-popoverController使用注意 一.设置尺寸 提示:不建议,像下面这样吧popover的宽度和高度写死. 1 //1.新建一个内容控制器 2 YYMenuViewController *menuVc=[[YYMenuViewController alloc]init]; 3 4 //2.新建一个popoverController,并设置其内容控制器 5 self.popover=[[UIPopoverCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXvWLb.html" rel="bookmark">自己动手用c&num;写控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件 自己动手用c#写控件 willsound(willsound@163.com) 关键词 c#,.net,控件,GDI+ 我平时比较喜欢使用delphi,小生不才,我随然喜欢delphi,平时开发(至少现在)多用delphi,但是不怕各位高手笑话,我没有用delphi写过控件,虽然原理上知道,但总感觉不知无从下手:L 但是自从接触了c#,她哪优美的身姿(代码风格),风骚而不放纵的性格(对面向对象的体现比较好,要比delphi强),深深打动了我.经过一段时间的操练,我发现在开发控件及组件上(别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZYGAp.html" rel="bookmark">用ATL开发和部署ActiveX网页控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用ATL开发和部署ActiveX网页控件 摘 要 ActiveX插件技术广泛的运用于B/S系统中,本文通过一个项目实例,详细介绍用ATL开发和部署ActiveX网页控件的过程.学习使用ActiveX让浏览器访问客户端的硬件资源. 关键字 ATL,ActiveX控件,COM组件     一.前言 在B/S结构的系统中,出于安全性考虑一般不准许浏览器访问客户端的硬件资源,如控制打印机,照相机等.对于一个完善系统来说,往往很多时候又需要控制这些资源.通过在浏览器中插入ActiveX插件是一种很好的解决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNdy5p.html" rel="bookmark">&period;Net WInform开发笔记&lpar;三&rpar;谈谈自制控件&lpar;自定义控件&rpar;&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				末日这天写篇博客吧,既然没来,那就纪念一下. 这次谈谈自制控件,也就是自定义控件,先上图,再说 1.扩展OpenFileDialog,在OpenFileDialog中添加各种文件(.txt,.jpg,.excel等等)的预览功能 开发笔记(三)谈谈自制控件(自定义控件)_C#教程-winform自定义控件&quot;&gt; 2.重写ListBox,增加折叠.鼠标背影.分类等功能 -----------------------------分割线-------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYNEAb.html" rel="bookmark">&lbrack;开源&rsqb;在iOS上实现Android风格的控件Toast</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[开源]在iOS上实现Android风格的控件Toast    iOS的风格和Apple其他产品一样,简单而粗暴.没有给人其他选择的余地,让你又爱又恨.同样的,Apple对待iOS平台的开发人员和对待大众消费者一样,也不给你留余地.UIAlertView就是一个鲜明标志.功能简单,甚至单一,定制性差,消耗资源.在资源紧张的设备上,UIAlertView的动画效果都会稍微卡一下,很是别扭. 这时还是很希望在iOS上有一个Android风格的Toast控件. 终于http://code.google			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR8kXdz.html" rel="bookmark">WP8&period;1开发教程二&colon; MapControl视图控件和Animation动画实例应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WP8.1开发教程2:MapControl应用 MapControl对应ArcMap中的数据视图,它封装了Map对象,并提供了额外的属性.方法.事件用于: 管理控件的外观.显示属性和地图属性: 添加并管理控件中的数据层: 装载Map文档(.mxd)到控件中 从其它应用程序拖放数据到控件中: Tracking shapes and drawing to the display ArcGIS的每种控件都有属性可以设置,它们可以在可视化环境中进行编辑.将控件拖放到窗体上后,用户可以右键点击,选择&quot;属性			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyww5z.html" rel="bookmark" class="title">XML技术思想</a>
					<div>
						可扩展标记语言 (Extensible Markup Language, XML) ,用于标记电子文件使其具有结构性的标记语言,可以用来标记数据.定义数据类型,是一种允许用户对自己的标记语言进行定义的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgVNAb.html" rel="bookmark" class="title">Dojo学习笔记5&period; dojo&period;lang&period;array &amp;amp&semi;amp&semi; dojo&period;lang&period;func &amp;amp&semi;amp&semi; dojo&period;string&period;extras</a>
					<div>
						模块:dojo.lang.array dojo.lang.has 判断对象是否具有指定属性,不过这个方法有用吗,不如直接使用 if(name in obj) Usage Example: dojo.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8m4xz.html" rel="bookmark" class="title">交互用户体验&colon;电子商务网站的产品分页设计</a>
					<div>
						文章描述:关于网站分页的那点事儿. 本文所描述的分页是指电子商务网站的产品分页,如果想要直接了解本文的精髓,请直接参照下面的附图,不言自明. 电子商务网站的产品分页设计是很小块的设计,绝大多数的网站不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPdVlp.html" rel="bookmark" class="title">长尾关键词 你知道如何挖掘吗？</a>
					<div>
						站长朋友们都知道长尾关键词可以提升网站的转化率,我的上一篇文章&lt;只用三招 让你的网站转化率得到迅速提升&gt;中详细谈到了长尾关键词的作用以及为什么要做长尾关键词.那如何去挖掘这些长尾关键词呢, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmaP3p.html" rel="bookmark" class="title">自制Windows Vista系统的登录界面</a>
					<div>
						Windows vista 默认的登录画面天天看也会腻的,不如,自己来搞下,弄个个性的Logon界面! 下面,Vista之家大体说下如何DIY 自己个性的Vista登录画面 1.下载 ResHacke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKKwjp.html" rel="bookmark" class="title">ASP获取字符串长度的自定义函数</a>
					<div>
						ASP获取字符串长度的自定义函数 '----------------------------------------------------------------'' getStrLen' 获取字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yZkoz.html" rel="bookmark" class="title">parentElement和offsetParent之间的区别</a>
					<div>
						首先是 parentElement 属性,这个属性好理解,就是在 DOM 层次结构定义的 上下级关系,如果元素A包含元素B,那么元素B就可以通过 parentElement 属性 来获取元素A. 这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjNnlp.html" rel="bookmark" class="title">Linux系统调用及用户编程接口（API）学习</a>
					<div>
						Linux系统调用 系统调用指操作系统提供给用户程序调用的一组&quot;特殊&quot;接口,用户程序可以通过 这组&quot;特殊&quot;接口来获得操作系统内核提供的服务. 为什么用户程序不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOQN8M.html" rel="bookmark" class="title">深入了解Java 5&period;0的垃圾收集</a>
					<div>
						内存管理是影响软件应用程序性能的一个重要因素.与实际的数据计算时间相比,分配和卸载内存所用的时间更长. 虽然C++可对内存分配与释放进行直接控制,Java利用垃圾收集来回收程序不再需要的内存,试图掌握 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P9LPM.html" rel="bookmark" class="title">WPS助你成为职业达人 轻松商务不用愁</a>
					<div>
						在企业从事行政.人力管理等相关工作的员工,经常要被繁琐的文件制作烦身,&quot;公司的名片制作.合同模板的统一,以及一些活动策划文案都要自己来处理,&quot;在一家动画制作公司从事行政工作的小希告 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AjRqp.html" rel="bookmark" class="title">CentOS启用sudo方法</a>
					<div>
						CentOS默认不启用sudo,且可以直接用超级管理员身份登录服务器.ubuntu这方面做得比较好,为了安全,减小误操作带来的损失,还是推荐启用sudo.   1.添加sudo用户 执行visudo命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7OVnM.html" rel="bookmark" class="title">php实现的随机显示图片的函数</a>
					<div>
						 本文分享一个php实现的随机显示图片的函数,可以将指定文件夹中存放的图片随机地显示出来 本节主要内容: 介绍一个随机显示图片的php函数,多用于博客的展示窗.照片的随机展示等.   例子:    代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd7ewM.html" rel="bookmark" class="title">用人生日历如何巧抢春运火车票</a>
					<div>
						  本周被称为春运抢票最&quot;惨烈&quot;的一周,周一到周六分别能抢农历十二月二十四日到除夕的火车票.大部分童鞋都会选择在这个时间段回家,所以这段时间的火车票会异常火爆,甚至有调查显示,抢票 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkl9Eb.html" rel="bookmark" class="title">怎么使用potplayer播放器定时自动录制电视节目？</a>
					<div>
						  方法/步骤 1.右击potplayer播放器窗口,点击&quot;选项...&quot;(或者按F5),点击&quot;基本&quot;-&quot;热键&quot;-&quot;添加&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYkrZM.html" rel="bookmark" class="title">iOS开发之Autolayout</a>
					<div>
						1.概述 在以前的iOS程序中,是如何设置布局UI界面的? (1)经常编写大量的坐标计算代码 (2)为了保证在3.5 inch和4.0 inch屏幕上都能有完美的UI界面效果,有时还需要分别为2种屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBq6az.html" rel="bookmark" class="title">android 虚拟机-eclipse 开发android，虚拟机开机后什么都没有，界面是黑的，求各位大大们帮忙看看</a>
					<div>
						问题描述 eclipse 开发android,虚拟机开机后什么都没有,界面是黑的,求各位大大们帮忙看看 如题,右上角有个破碎的手图案,双击后出现&quot;Voice actions disabled ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6gZAb.html" rel="bookmark" class="title">android手势操作滑动效果触摸屏事件处理</a>
					<div>
						很多时候,利用触摸屏的Fling.Scroll等Gesture(手势)操作来操作会使得应用程序的用户体验大大提升,比如用Scroll手势在 浏览器中滚屏,用Fling在阅读器中翻页等.在Android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2avAb.html" rel="bookmark" class="title">java-微信 网页授权，第一次能拿到用户信息，之后都拿不到</a>
					<div>
						问题描述 微信 网页授权,第一次能拿到用户信息,之后都拿不到 报错: {&quot;errcode&quot;:40029,&quot;errmsg&quot;:&quot;req id: L3U1Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QokAp.html" rel="bookmark" class="title">图片-类向导中的变量类型怎么添加</a>
					<div>
						问题描述 类向导中的变量类型怎么添加 如图,变量类型中多了个Cmeter 解决方案 可以先选一个类型,然后再修改. 解决方案二: 直接用代码写不是更好么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBjK8M.html" rel="bookmark" class="title">easyui-EasyUI中datagrid 合并</a>
					<div>
						问题描述 EasyUI中datagrid 合并 根据统计时间合并,并将统计人数相加,得到下图结果 解决方案 这个你服务器来做,easyui只加载你指定页数的数据,只能统计当前页面的 解决方案二: jq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94PQ4b.html" rel="bookmark" class="title">创建用户后看不到</a>
					<div>
						问题描述 创建用户后,在管理后台看不到 解决方案 使用Rest接口查看创建的用户是否存在,以Rest接口的查询结果为准.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmaL1b.html" rel="bookmark" class="title">谈谈腾讯微博新版和电子地图入口之争</a>
					<div>
						今天凌晨笔者有幸体验了腾讯微博的新版,同时要开心的宣布下,在笔者发了六万多条微博后,腾讯微博的粉丝突破196万大关.本次腾讯微博的新版升级可谓静悄悄,没有做任何大肆的宣传,但是笔者还是发现了不少非常不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDjN8z.html" rel="bookmark" class="title">《深入剖析Tomcat》一1&period;3　应用程序</a>
					<div>
						1.3 应用程序 本章的Web服务器应用程序位于ex01.pyrmont包下,包括三个类: HttpServer Request Response 应用程序的入口点(静态main()方法)在HttpS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7OPnp.html" rel="bookmark" class="title">Linux 基金会推出 Real Time Linux 协作项目</a>
					<div>
						10月5日至7日在都柏林举办的 Linux 大会(LinuxCon 2015)上,Linux 基金会宣布了又一个协作项目 -- Real Time Linux 协作项目(Real Time Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7mnKz.html" rel="bookmark" class="title">Linux集群和自动化维1&period;5&period;2　利用tuning-primer脚本来调优MySQL数据库</a>
					<div>
						1.5.2 利用tuning-primer脚本来调优MySQL数据库 MySQL在线上稳定运行一段时间后,就可以调用MySQL调优脚本tuning-primer.sh来检查参数的设置是否合理,该脚本的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodnKXM.html" rel="bookmark" class="title">java软件生成doc格式文档</a>
					<div>
						问题描述 最近要做一个系统,题库生成试卷的系统,从数据库中取出题目要生成doc格式,而且是a4横行的,请问谁知道用什么方法能坐到这一点?还是先生成一张jsp网页,然后再生成doc文档?这样好像很不整齐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6BQNM.html" rel="bookmark" class="title">iOS开发中UITableview控件的基本使用及性能优化方法&lowbar;IOS</a>
					<div>
						UITableview控件基本使用 一.一个简单的英雄展示程序 NJHero.h文件代码(字典转模型) 复制代码 代码如下: #import &lt;Foundation/Foundation.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnJPRp.html" rel="bookmark" class="title">JS弹出窗口插件zDialog简单用法示例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS弹出窗口插件zDialog简单用法.分享给大家供大家参考,具体如下: 因为没有元素可以显示到Frameset上面去,所以重新定义了,一个index.htm,对其的操作是: Index ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8YG8p.html" rel="bookmark" class="title">SQLServer 2008中的代码安全（四） 主密钥&lowbar;mssql2008</a>
					<div>
						如下图: 1.服务器主密钥(Service Master Key),位于层次结构的最顶端,并且在安装SQL Server时自动创建,用于加密系统数据.链接的服务器登录名以及数据库主密钥.在第一次通过S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLxRjM.html" rel="bookmark" class="title">calamari安装中npm错误</a>
					<div>
						问题描述 安装calamari-clients时出错:环境:CentOS6.4配置环境:#yuminstallnpmrubyrubygemsruby-devel#npminstall-ggruntgr ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
